Bug 186203 - [update] finance/gnucash: Update to 2.6.1
Summary: [update] finance/gnucash: Update to 2.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-28 17:20 UTC by Guido Falsi
Modified: 2014-02-07 09:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.47 KB, patch)
2014-01-28 17:20 UTC, Guido Falsi
no flags Details | Diff
gnucash.diff (3.06 KB, patch)
2014-02-01 09:09 UTC, Guido Falsi
no flags Details | Diff
gnucash.diff (3.65 KB, patch)
2014-02-01 10:24 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2014-01-28 17:20:01 UTC
- Update to 2.6.1
Comment 1 Edwin Groothuis freebsd_committer 2014-01-28 17:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2014-02-01 09:09:00 UTC
I have made a new patch, including an update to gnucash-docs which 
should adress a problem reported on the gnome@ mailing list.

With the change to gnucash-docs yelp is now able to find the 
gnucash-docs xml files, but some of them (the "C" local ones) will fail 
to open anyway due to parse errors:

I/O warning : failed to load external entity 
"/usr/local/share/gnome/help/gnucash-help/C/Help_ch_Business.xml"
/usr/local/share/gnome/help/gnucash-help/C/gnucash-help.xml:327: parser 
error : Failure to process entity chBusiness
&chBusiness;
             ^
/usr/local/share/gnome/help/gnucash-help/C/gnucash-help.xml:327: parser 
error : Entity 'chBusiness' not defined
&chBusiness;
             ^

For example the "it" locale help files do parse and open correctly.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2014-02-01 10:24:58 UTC
Oops, I forgot to add a file to the plist, which was the cause for the 
parse error in the xml.

Attached patch solves that one too.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 dfilter service freebsd_committer 2014-02-07 09:00:21 UTC
Author: kwm
Date: Fri Feb  7 09:00:07 2014
New Revision: 343201
URL: http://svnweb.freebsd.org/changeset/ports/343201
QAT: https://qat.redports.org/buildarchive/r343201/

Log:
  Update gnucash[-docs] to 2.6.1.
  
  PR:		ports/186203
  Submitted by:	madpilot@

Modified:
  head/finance/gnucash-docs/Makefile
  head/finance/gnucash-docs/distinfo
  head/finance/gnucash-docs/pkg-plist
  head/finance/gnucash/Makefile
  head/finance/gnucash/distinfo
  head/finance/gnucash/files/patch-src_app-utils_guile-util.c

Modified: head/finance/gnucash-docs/Makefile
==============================================================================
--- head/finance/gnucash-docs/Makefile	Fri Feb  7 08:48:01 2014	(r343200)
+++ head/finance/gnucash-docs/Makefile	Fri Feb  7 09:00:07 2014	(r343201)
@@ -3,7 +3,7 @@
 #   $MCom: ports/finance/gnucash-docs/Makefile,v 1.7 2007/08/04 03:51:29 marcus Exp $
 
 PORTNAME=	gnucash-docs
-PORTVERSION=	2.6.0
+PORTVERSION=	2.6.1
 CATEGORIES=	finance gnome
 MASTER_SITES=	SF/gnucash/${PORTNAME}/${PORTVERSION} \
 		http://www.gnucash.org/pub/gnucash/sources/stable/ \
@@ -22,4 +22,11 @@ USE_GNOME=	libxml2 gnomehier
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 
+post-patch:
+	@${REINPLACE_CMD} -e '/scrollkeeper-preinstall/s|$$(docdir)|$$(gnomehelpdir)|' \
+		${WRKSRC}/omf.make ${WRKSRC}/guide/C/Makefile.in ${WRKSRC}/guide/de/Makefile.in \
+		${WRKSRC}/guide/it/Makefile.in ${WRKSRC}/guide/ja/Makefile.in \
+		${WRKSRC}/help/C/Makefile.in ${WRKSRC}/help/de/Makefile.in \
+		${WRKSRC}/help/it/Makefile.in
+
 .include <bsd.port.mk>

Modified: head/finance/gnucash-docs/distinfo
==============================================================================
--- head/finance/gnucash-docs/distinfo	Fri Feb  7 08:48:01 2014	(r343200)
+++ head/finance/gnucash-docs/distinfo	Fri Feb  7 09:00:07 2014	(r343201)
@@ -1,2 +1,2 @@
-SHA256 (gnucash-docs-2.6.0.tar.gz) = a6ad22735dd52e11f8ab090022a649697d0b9dce12afd16639927fcea18fd30d
-SIZE (gnucash-docs-2.6.0.tar.gz) = 53963545
+SHA256 (gnucash-docs-2.6.1.tar.gz) = b0e978970c74a5c3d2745073eed7c98e6405276f1a418ae8173ff621de584ada
+SIZE (gnucash-docs-2.6.1.tar.gz) = 58923509

Modified: head/finance/gnucash-docs/pkg-plist
==============================================================================
--- head/finance/gnucash-docs/pkg-plist	Fri Feb  7 08:48:01 2014	(r343200)
+++ head/finance/gnucash-docs/pkg-plist	Fri Feb  7 09:00:07 2014	(r343201)
@@ -639,6 +639,7 @@ share/gnome/help/gnucash-guide/ja/figure
 share/gnome/help/gnucash-guide/ja/gnucash-guide.xml
 share/gnome/help/gnucash-guide/ja/legal.xml
 share/gnome/help/gnucash-help/C/Help_ch_Account-Actions.xml
+share/gnome/help/gnucash-help/C/Help_ch_Business.xml
 share/gnome/help/gnucash-help/C/Help_ch_Customize.xml
 share/gnome/help/gnucash-help/C/Help_ch_GUIMenus.xml
 share/gnome/help/gnucash-help/C/Help_ch_GettingHelp.xml

Modified: head/finance/gnucash/Makefile
==============================================================================
--- head/finance/gnucash/Makefile	Fri Feb  7 08:48:01 2014	(r343200)
+++ head/finance/gnucash/Makefile	Fri Feb  7 09:00:07 2014	(r343201)
@@ -2,7 +2,7 @@
 #   $MCom: ports/finance/gnucash/Makefile,v 1.26 2008/12/31 03:25:18 mezz Exp $
 
 PORTNAME=	gnucash
-PORTVERSION=	2.6.0
+PORTVERSION=	2.6.1
 CATEGORIES=	finance gnome
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20%28stable%29/${PORTVERSION}
 

Modified: head/finance/gnucash/distinfo
==============================================================================
--- head/finance/gnucash/distinfo	Fri Feb  7 08:48:01 2014	(r343200)
+++ head/finance/gnucash/distinfo	Fri Feb  7 09:00:07 2014	(r343201)
@@ -1,2 +1,2 @@
-SHA256 (gnucash-2.6.0.tar.bz2) = a875abf0ee3e7380fc41bd5bf2795787e4a8946ec579147b16acac665b9affbf
-SIZE (gnucash-2.6.0.tar.bz2) = 10691364
+SHA256 (gnucash-2.6.1.tar.bz2) = c9e66f84c7706e3c8e7a1c88dcd58c5c3d102e285012b51f5af25052502cd8a4
+SIZE (gnucash-2.6.1.tar.bz2) = 10944714

Modified: head/finance/gnucash/files/patch-src_app-utils_guile-util.c
==============================================================================
--- head/finance/gnucash/files/patch-src_app-utils_guile-util.c	Fri Feb  7 08:48:01 2014	(r343200)
+++ head/finance/gnucash/files/patch-src_app-utils_guile-util.c	Fri Feb  7 09:00:07 2014	(r343201)
@@ -1,6 +1,6 @@
---- src/app-utils/guile-util.c.orig	2010-12-29 16:06:05.000000000 +0100
-+++ src/app-utils/guile-util.c	2010-12-29 16:06:38.000000000 +0100
-@@ -1317,6 +1317,8 @@ gnc_parse_time_to_timet(const gchar *s, 
+--- src/app-utils/guile-util.c.orig	2014-01-19 00:44:17.000000000 +0100
++++ src/app-utils/guile-util.c	2014-01-27 22:15:08.578610605 +0100
+@@ -1083,6 +1083,8 @@
  
      g_return_val_if_fail(s && format, -1);
  
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Koop Mast freebsd_committer 2014-02-07 09:01:14 UTC
State Changed
From-To: open->closed

Committed thanks!